# CRB Templates ## Get CRB's onboarding template for service provider - [GET /service-providers/{sp_id}/crbs/{crb_id}/onboarding-template](https://developer.greencheckverified.com/apis/swagger/crb-templates/get-crb-onboarding-template.md) ## Add a document to a requirement in a CRB's onboarding template response - [PUT /service-providers/{sp_id}/crbs/{crb_id}/onboarding-template/requirements/{requirement_id}/documents](https://developer.greencheckverified.com/apis/swagger/crb-templates/put-crb-onboarding-document.md): Add a document to a requirement in a CRB's onboarding template response. Note - Only documents up to 5MB are supported You always must include: - file_name - Full file name, including the file extension (ex: "statment.pdf") - file_type - File mime type, to ensure only allowed types are uploaded. See AllowedS3FileMimeTypes - base64 - A base 64 encoded string of the file contents. ## Update a document's status - [PUT /service-providers/{sp_id}/crbs/{crb_id}/onboarding-template/requirements/{requirement_id}/documents/{document_id}](https://developer.greencheckverified.com/apis/swagger/crb-templates/update-crb-onboarding-document.md) ## Delete a document from an onboarding requirement - [DELETE /service-providers/{sp_id}/crbs/{crb_id}/onboarding-template/requirements/{requirement_id}/documents/{document_id}](https://developer.greencheckverified.com/apis/swagger/crb-templates/delete-crb-onboarding-document.md)